package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "AbnormalCrossListVO", description = "问题路口列表元素")
public class AbnormalCrossListVO {
    @ApiModelProperty(value = "路口ID")
    private String id;
    @ApiModelProperty(value = "路口名称")
    private String name;
    @ApiModelProperty(value = "失衡方向 如 1,2,3")
    private String unbalanceDirs;
    @ApiModelProperty(value = "拥堵方向 如 1,2,3")
    private String congestionDirs;
    @ApiModelProperty(value = "溢出方向 如 1,2,3")
    private String spilloverDirs;
    @ApiModelProperty(value = "路口状态 1失衡 2拥堵 3溢出")
    private Integer realtimeStatus;
    @ApiModelProperty(value = "开始时间 格式 08:20:23")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @ApiModelProperty(value = "持续时长 分钟")
    private Long duration;
    @JsonIgnore
    // 路口坐标字符串
    private String locationStr;
    @ApiModelProperty(value = "路口坐标")
    private List<Double> location;
    @JsonIgnore
    // 是否失衡：0否；1是
    private Integer isUnbalance;
    @JsonIgnore
    // 是否溢出：0否；1是
    private Integer isSpillover;
    @JsonIgnore
    // 是否拥堵：0否；1是
    private Integer isCongestion;
}
